using System;
using System.Collections;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	public class MarinerGuildmaster : BaseGuildmaster
	{
		public override NpcGuild NpcGuild{ get{ return NpcGuild.MarinersGuild; } }

		[Constructable]
		public MarinerGuildmaster() : base( "mariner" )
		{
			SetSkill( SkillName.Bludgeoning, 56.0, 88.0 );
		}

		public override void InitSBInfo() 
		{ 
			SBInfos.Add( new SBShipwright() ); 
			SBInfos.Add( new SBFisherman() );
		}

		public override void InitOutfit()
		{
			base.InitOutfit();
			AddItem( new TricorneHat( Utility.RandomHue() ) );
		}

		public MarinerGuildmaster( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}